package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bop.jsh.Dbj;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.BopselRespVo;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface DbjMapper {

    int insert(Dbj record);

    int insertSelective(Dbj record);

    int updateByPrimaryKeySelective(Dbj record);

    int updateByPrimaryKey(Dbj record);

    int deleteByPrimaryKey(Dbj record);

    int deleteByIds(Collection<Object> collection);

    Dbj selectByPrimaryKey(Dbj record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Dbj> dyncRead(Map<String, Object> dyncMap);

    List<BopselRespVo> selectByArgmodVo(ArgmodManagerVo argmodVo);

    String selectActiontypByinr(String inr);

    Dbj selectInfoByinr(String inr);


}